<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout2}">
<head>
    <meta charset="UTF-8">
    <title>Work Program</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4  bd-layout">
    <div th:include="sidebar_setting::sidebar_setting" th:remove="tag"> sidebar </div>
    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark" th:text="${'Work Program of '+ anggaran.departemen.namaDepartemen}">
                    Budget
                </div>
            </div>
        </div>
        <br>
        <div class="row">
            <div class="col-md-6">
                <div class="alert alert-primary">
                    <!--                    <h4 th:text="${'Department : ' + picAnggaran.departemen.namaDepartemen}">I am an info callout!</h4>-->
                    <p th:text="${'Department Code : ' + anggaran.departemen.kodeDepartemen}">Follow the steps to continue to payment.</p>
                    <p th:text="${'Period : ' + anggaran.periodeAnggaran.namaPeriodeAnggaran}">Follow the steps to continue to payment.</p>
                    <p th:text="${'Budget Code : (' + anggaran.kodeAnggaran + ') - ' + anggaran.namaAnggaran}">Follow the steps to continue to payment.</p>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-6">
                <form class="form-horizontal" th:action="@{/setting/admin/anggaran/proker/save(anggaran= ${anggaran.getId()}, departemen = ${anggaran.departemen.getId()},periode = ${anggaran.periodeAnggaran.getId()})}" th:object="${anggaranProker}" method="post">
                    <div class="card">
                        <div class="card-body">
                            <div class="mb-3">
                                <label for="programKerja" class="form-label">Work Program</label>
                                <input type="text" class="form-control" id="programKerja" th:field="*{programKerja}" name="programKerja" placeholder="Work Program">
                                <p th:if="${#fields.hasErrors('programKerja')}" th:errors="*{programKerja}" class="text-danger"> Mata Anggaran Error</p>
                            </div>
                            <div class="mb-3">
                                <label for="selectsatu" class="form-label">Account</label>
                                <select class="form-select" id="selectsatu" name="akunLevelTiga" th:field="*{akunLevelTiga}" data-placeholder="Choose one thing">
                                    <option th:each="data : ${listAkunLevelTiga}"
                                            th:text="${'(' + data.getAkunLevelDua().getAkunLevelSatu().getAkun().getNamaAkun() +')'  + '       -       ' +  data.akunLevelDua.getNamaAkunLevelDua() + '       -       ' +  data.getAkunDetail()}"
                                            th:value="${data.id}">sdasd</option>
                                </select>
                            </div>


                            <div class="mb-3">
                                <label for="selectdua" class="form-label">Standard</label>
                                <select class="form-select" id="selectdua" name="standardDetail" th:field="*{standardDetail}" data-placeholder="Choose one thing">
                                    <option th:each="data : ${listStandardDetail}"
                                            th:text="${'('+ data.standard.kodeStandard +')'  + '       -       ' +  data.standard.namaStandard + '       -       ' +  data.deskripsi}"
                                            th:value="${data.id}">sdasd</option>
                                </select>
                            </div>

                            <input type="hidden" name="id" th:field="*{id}">
                        </div>
                        <div class="card-body">
                            <!--                            <a th:href="@{/setting/anggaran/setting(departemen = ${departemen},periode = ${periode})}" class="btn btn-default">Cancel</a>-->
                            <!--                            <button type="submit" class="btn btn-primary pull-right" style="&#45;&#45;bs-btn-bg: #15408d" id="simpan">Save</button>-->

                            <a th:href="@{/setting/admin/anggaran/setting(departemen = ${anggaran.departemen.getId()},periode = ${anggaran.periodeAnggaran.getId()})}" class="btn btn-default">Cancel</a>
                            <button type="submit" class="btn btn-primary pull-right" style="--bs-btn-bg: #15408d" id="simpan">Save</button>
                        </div>
                    </div>

                </form>
            </div>
        </div>
    </main>
</main>


</body>
</html>

<!--<!DOCTYPE html>-->
<!--<html xmlns:th="http://www.thymeleaf.org"-->
<!--      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"-->
<!--      layout:decorate="~{layout}">-->
<!--<head>-->
<!--    <meta charset="UTF-8">-->
<!--    <title>Job Program</title>-->
<!--</head>-->
<!--<body>-->

<!--<section layout:fragment="breadcrumb" class="content-header">-->

<!--</section>-->

<!--<section layout:fragment="main" class="content">-->
<!--    <div class="row">-->

<!--        <div class="col-md-8">-->
<!--            <div class="callout callout-warning">-->
<!--                <h4 th:text="${'Department : ' + anggaran.departemen.namaDepartemen}">I am an info callout!</h4>-->
<!--                <p th:text="${'Department Code : ' + anggaran.departemen.kodeDepartemen}">Follow the steps to continue to payment.</p>-->
<!--                <p th:text="${'Period : ' + anggaran.periodeAnggaran.namaPeriodeAnggaran}">Follow the steps to continue to payment.</p>-->
<!--                <p th:text="${'Budget Code : (' + anggaran.kodeAnggaran + ') - ' + anggaran.namaAnggaran}">Follow the steps to continue to payment.</p>-->
<!--            </div>-->

<!--            &lt;!&ndash; Horizontal Form &ndash;&gt;-->
<!--            <div class="box box-info">-->
<!--                <div class="box-header with-border">-->
<!--                    <h3 class="box-title">Form Budget</h3>-->
<!--                </div>-->
<!--                &lt;!&ndash; /.box-header &ndash;&gt;-->
<!--                &lt;!&ndash; form start &ndash;&gt;-->
<!--                <form class="form-horizontal" th:action="@{/setting/admin/anggaran/proker/save(anggaran= ${anggaran.getId()}, departemen = ${anggaran.departemen.getId()},periode = ${anggaran.periodeAnggaran.getId()})}" th:object="${anggaranProker}" method="post">-->
<!--                    <div class="box-body">-->

<!--                        <div class="form-group">-->
<!--                            <label for="programKerja" class="col-sm-2 control-label">Work Program</label>-->

<!--                            <div class="col-sm-10">-->
<!--                                <input type="text" class="form-control" th:field="*{programKerja}" name="programKerja" id="programKerja" placeholder="Work Program">-->
<!--                                <p th:if="${#fields.hasErrors('programKerja')}" th:errors="*{programKerja}" class="text-danger"> Mata Anggaran Error</p>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="form-group">-->
<!--                            <label for="akunLevelTiga" class="col-sm-2 control-label">Account</label>-->

<!--                            <div class="col-sm-10">-->
<!--                                <select class="form-control select2" name="akunLevelTiga" th:field="*{akunLevelTiga}" id="akunLevelTiga" style="width: 100%;">-->
<!--                                    <option th:each="data : ${listAkunLevelTiga}"-->
<!--                                            th:text="${'(' + data.getAkunLevelDua().getAkunLevelSatu().getAkun().getNamaAkun() +')'  + '       -       ' +  data.akunLevelDua.getNamaAkunLevelDua() + '       -       ' +  data.getAkunDetail()}"-->
<!--                                            th:value="${data.id}">sdasd</option>-->
<!--                                </select>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="form-group">-->
<!--                            <label for="standardDetail" class="col-sm-2 control-label">Standard</label>-->

<!--                            <div class="col-sm-10">-->
<!--                                <select class="form-control select2" name="standardDetail" th:field="*{standardDetail}" id="standardDetail" style="width: 100%;">-->
<!--                                    <option th:each="data : ${listStandardDetail}"-->
<!--                                            th:text="${'('+ data.standard.kodeStandard +')'  + '       -       ' +  data.standard.namaStandard + '       -       ' +  data.deskripsi}"-->
<!--                                            th:value="${data.id}">sdasd</option>-->
<!--                                </select>-->
<!--                            </div>-->
<!--                        </div>-->
<!--                        <input type="hidden" name="id" id = "id" th:field="*{id}">-->
<!--                        <input type="hidden" name="anggaran" id ="anggaran" th:field="*{anggaran}" th:value="${anggaran.getId()}">-->
<!--                    </div>-->
<!--                    &lt;!&ndash; /.box-body &ndash;&gt;-->
<!--                    <div class="box-footer">-->

<!--                        <a th:href="@{/setting/admin/anggaran/setting(departemen = ${anggaran.departemen.getId()},periode = ${anggaran.periodeAnggaran.getId()})}" class="btn btn-default">Cancel</a>-->
<!--                        <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>-->

<!--                    </div>-->
<!--                    &lt;!&ndash; /.box-footer &ndash;&gt;-->
<!--                </form>-->
<!--            </div>-->
<!--        </div>-->
<!--    </div>-->
<!--</section>-->

<!--<section layout:fragment="footer" class="script">>-->
<!--    <script>-->
<!--        $(function () {-->
<!--            //Initialize Select2 Elements-->
<!--            $('.select2').select2()-->

<!--            //Datemask dd/mm/yyyy-->
<!--            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })-->
<!--            //Datemask2 mm/dd/yyyy-->
<!--            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })-->
<!--            //Money Euro-->
<!--            $('[data-mask]').inputmask()-->

<!--            //Date range picker-->
<!--            $('#reservation').daterangepicker()-->
<!--            //Date range picker with time picker-->
<!--            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})-->
<!--            //Date range as a button-->
<!--            $('#daterange-btn').daterangepicker(-->
<!--                {-->
<!--                    ranges   : {-->
<!--                        'Today'       : [moment(), moment()],-->
<!--                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],-->
<!--                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],-->
<!--                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],-->
<!--                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],-->
<!--                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]-->
<!--                    },-->
<!--                    startDate: moment().subtract(29, 'days'),-->
<!--                    endDate  : moment()-->
<!--                },-->
<!--                function (start, end) {-->
<!--                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))-->
<!--                }-->
<!--            )-->

<!--            //Date picker-->
<!--            $('#datepicker').datepicker({-->
<!--                autoclose: true-->
<!--            })-->

<!--            //iCheck for checkbox and radio inputs-->
<!--            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-blue',-->
<!--                radioClass   : 'iradio_minimal-blue'-->
<!--            })-->
<!--            //Red color scheme for iCheck-->
<!--            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-red',-->
<!--                radioClass   : 'iradio_minimal-red'-->
<!--            })-->
<!--            //Flat red color scheme for iCheck-->
<!--            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_flat-green',-->
<!--                radioClass   : 'iradio_flat-green'-->
<!--            })-->

<!--            //Colorpicker-->
<!--            $('.my-colorpicker1').colorpicker()-->
<!--            //color picker with addon-->
<!--            $('.my-colorpicker2').colorpicker()-->

<!--            //Timepicker-->
<!--            $('.timepicker').timepicker({-->
<!--                showInputs: false-->
<!--            })-->
<!--        })-->
<!--    </script>-->
<!--    <script>-->
<!--        $(".js-example-placeholder-single").select2({-->
<!--            placeholder: "Pilih Salah Satu",-->
<!--            allowClear: true-->
<!--        });-->

<!--        $('.simpan').click(function () {-->
<!--            Swal.fire({-->
<!--                position: 'top-end',-->
<!--                type: 'success',-->
<!--                title: 'Your work has been saved',-->
<!--                showConfirmButton: false-->
<!--            })-->
<!--        });-->
<!--    </script>-->
<!--</section>-->
<!--</body>-->
<!--</html>-->